Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep
Class FunctionTable

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.nfunk.jep.FunctionTable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class FunctionTable

extends java.util.Hashtable

See Also:
  Serialized Form

Constructor Summary
`FunctionTable()`

Method Summary
`java.lang.Object` | `get(java.lang.Object o)` overrides the standard hashtable method.
`PostfixMathCommandI` | `get(java.lang.String s)` returns the PostfixMathCommandI for function with name s.
`java.lang.Object` | `put(java.lang.Object o, java.lang.Object p)` overrides the standard hashtable method.
`java.lang.Object` | `put(java.lang.String s, PostfixMathCommandI pfmc)` adds the PostfixMathCommandI for the function with name s.

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionTable

    public FunctionTable()

Method Detail

### put

    public java.lang.Object put(java.lang.String s,
                                PostfixMathCommandI pfmc)

  adds the PostfixMathCommandI for the function with name s. RJM addition Oct 03

### put

    public java.lang.Object put(java.lang.Object o,
                                java.lang.Object p)

  overrides the standard hashtable method. If the arguments are of the wrong type then throws ClassCastException RJM addition Oct 03 TODO is Hashtable always index by Strings?

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.Hashtable`

### get

    public PostfixMathCommandI get(java.lang.String s)

  returns the PostfixMathCommandI for function with name s. RJM addition Oct 03

### get

    public java.lang.Object get(java.lang.Object o)

  overrides the standard hashtable method. If the argument is of the wrong type (i.e. not a String) then throws ClassCastException RJM addition Oct 03

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.Hashtable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems